Docs
Get Location Types
GET /location-types
GET
/location-typesLists the organization's location types with their sections and the properties assigned to each section. Uses the organization from the organization token and needs the organization admin permission.
Response
Type: GetLocationTypeResponse[]
GetLocationTypeResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| isArchived | boolean | |
| sections | GetLocationTypeResponseSectionInfo[]| null |
GetLocationTypeResponseSectionInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| index | integer | |
| properties | GetLocationTypeResponsePropertyAssignmentInfo[]| null |
GetLocationTypeResponsePropertyAssignmentInfo
| Field | Type | Description |
|---|---|---|
| propertyId | uuid | |
| name | string| null | |
| type | string| null | |
| index | integer | |
| options | GetLocationTypeResponseOptionInfo[]| null |